aboutsummaryrefslogtreecommitdiffstats
path: root/test/Maketests
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2019-10-13 14:29:16 -0400
committerArnold D. Robbins <arnold@skeeve.com>2019-10-13 14:29:16 -0400
commit71f74c483838db2e18a7756469aa8c7edc76c33f (patch)
tree018b7830dbed25bf7e1b8145df751cbdccdc4f63 /test/Maketests
parent8f330804cf3061aacf627ca63f6483207230d7b6 (diff)
downloadegawk-71f74c483838db2e18a7756469aa8c7edc76c33f.tar.gz
egawk-71f74c483838db2e18a7756469aa8c7edc76c33f.tar.bz2
egawk-71f74c483838db2e18a7756469aa8c7edc76c33f.zip
Fix assigning typed regex to FS and RS.
Diffstat (limited to 'test/Maketests')
-rw-r--r--test/Maketests10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/Maketests b/test/Maketests
index a17bf90e..3e443f54 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1966,6 +1966,16 @@ typedregex3:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+typedregex5:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+typedregex6:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
typeof1:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@